<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>ch.mobi.mobitor</groupId>
		<artifactId>mobitor-parent</artifactId>
		<version>9.9.9-SNAPSHOT</version>
	</parent>

	<artifactId>mobitor-plugins-api</artifactId>

	<properties>
        <jacoco.it.destFile>${project.basedir}/../target/jacoco-it.exec</jacoco.it.destFile>
		<jacoco.destFile>${project.basedir}/../target/jacoco.exec</jacoco.destFile>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-validation</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webflux</artifactId>
		</dependency>
        <dependency>
            <groupId>io.projectreactor.netty</groupId>
            <artifactId>reactor-netty</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
        </dependency>
	</dependencies>
</project>
